Über-X Resource Pack 1.11

How to Install This Resource Pack ?
  • Download the resource pack.
  • Press start and type in %appdata%.
  • Find and open your .minecraft folder.
  • Locate to your resourcepacks folder.
  • Drag and Drop the texture .zip file into this folder.
  • Last Updated: 19 January 2017, 12:31 am

    Getting a right resource pack is not just an usual thing anymore, it is one of the essential aspects of minecraft gameplay for any minecrafter because a good resource pack brings more enjoyment and fun to the game. Uber-X Resource Pack is a set of textures that you should look into if you got bored of default minecraft look and just want something more realistic, animated and custom.

    Über-X is made by a small but talented Czech team and if you visit their official website you will notice that website is mostly in Czech language. With this resource pack you will have a whole lot more beautiful and stunning world. Whenever you decide to find a realistic pack, make sure to try out the Über-X Resource Pack.

    Pack comes in resolution of 64x which means it does not require a very strong computer and most of you will be able to try and test it out. Über-X Textures are well optimized for owners of slower computers. Optifine is required “thing” for these textures, so make sure to install it.

    Screenshots:

    uber-x-resource-pack-for-minecraft-7 uber-x-resource-pack-for-minecraft-8 uber-x-resource-pack-for-minecraft-1 uber-x-resource-pack-for-minecraft-2 uber-x-resource-pack-for-minecraft-3 uber-x-resource-pack-for-minecraft-4 uber-x-resource-pack-for-minecraft-5 uber-x-resource-pack-for-minecraft-6

    Video Available:
    Über-X Resource Pack 1.11
    4.42 - 842 votes


    • LPmajner

      English web coming

    • Emily

      i actually like this texture pack

    • Naitsaber Ovadroc

      You should probably mention that this resource pack cost $2

      • Michal Bureš

        Its on website, i really dont want people to quit it, because it isnt free, before they will look on it and see, how much amazing it is xD

    • MHDixon

      This says incompatible. Was made for older version of minecraft, I have 1.11.2